bullet_name = "bullet-trackfly"
dofile_lua( bullet_name )

-- leave me
	local actor = ACTOR_preload()
-- leave me

	-- default for this beastie
	actor[cp_actor_name]		= "trackfly-1"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "trackfly-1"

	actor[cp_hit_delay]			= 3.0

	actor[cp_move_type]			= cmt_avoid + cmt_track + cmt_repelled

	actor[cp_i_collide_with_beasties]	= cat_fence + cat_player

	actor[cp_score]				= 100
	actor[cp_bonus_seq_hit]		= 10
	actor[cp_bonus_seq_score]	= 1000

	actor[cp_i_am_repelled_by]		= cat_block + cat_webblob + cat_blocker
	actor[cp_repel_dist]			= 8.5

	actor[cp_hit_power]			= 5.0

	-- movement
	actor[cp_move_speed_min]		= 0.150
	actor[cp_move_speed_max]		= 0.200
	actor[cp_move_acceleration]		= 0.90
	actor[cp_move_deceleration]		= 0.90
	actor[cp_move_inertia_accn]		= 0.90
	actor[cp_move_inertia_decn]		= 0.90

	actor[cp_target_stop_dist]		= 6.0

	actor[cp_turn_lock_angle_inner]		= 115.0
	actor[cp_turn_lock_angle_outer]		= 125.0
	actor[cp_turn_speed_still]			= 4.0
	actor[cp_turn_acceleration_still]	= 5.0
	actor[cp_turn_inertia_still]		= 0.0
	actor[cp_turn_speed_moving]			= 4.0
	actor[cp_turn_acceleration_moving]	= 5.0
	actor[cp_turn_inertia_moving]		= 0.0

	actor[cp_health_percent]		= 200.0

	actor[cp_fence_bounce_percent]	= 30.0
	actor[cp_weight]				= 1.0

	actor[cp_random_edge_inner_percent]	= 30.0
	actor[cp_random_edge_outer_percent]	= 80.0

--	actor[cp_random_offset_x]			= 10.0
--	actor[cp_random_offset_z]			= 10.0

	actor[cp_random_trajectory_offset]				= 45.0
	actor[cp_random_trajectory_offset_delay_min]	= 0.1
	actor[cp_random_trajectory_offset_delay_max]	= 1.0

	actor[cp_launch_scale_min]		= 50.0
	actor[cp_launch_scale_max]		= 50.0

	actor[cp_multiple_beast_shoot_rate]	= 1.0
	actor[cp_multiple_beast_base_num]	= 1.0

actor[cp_difficulty_adjust_speed] = 38.0
actor[cp_difficulty_adjust_shoot] = 40.0 

	actor[cp_launch_hue_shift] = color

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "pulse1", 100.0, 200.0, 0.0, 0.0 )
	c_set_random_anim( "pulse2", 100.0, 200.0, 0.0, 0.0 )

	c_add_particle_to_anim( "emerge", "main", "trackfly_emerge" )
	c_add_sound_to_anim( "emerge", "trackfly-emerge", 250 )
	c_add_particle_to_anim( "emerge", "main", "trackfly_emergepad" )
	c_add_sound_to_event( "hit_active_bone", "trackfly-hit" )

	local seq = { 0.0 }
	c_set_use_explosion_for( "bye_bye", "trackfly-1+b", exp_no_align, 0.0, 0.3, 1000.0, 1000.0, seq )
	c_add_particle_to_explosion( "trackfly-1+b", "explode", "", "trackfly-1" )
	c_add_sound_to_explosion( "trackfly-1+b", "explode", "trackfly-exp" )
	c_set_use_explosion_for( "bye_bye", "flyer_flash+b", exp_no_align, 0.0, 0.0, 3000.0, 3000.0, {0.0} )
	
	-- default for this beastie

	local boo = WEAPON_preload( bullet_name )
	boo[w_gun_bone_name]		= "eyering"
	boo[w_shaft_bone_name]		= "eyering"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "no_bone_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 65.0
	boo[w_barrel_offset]		= 2.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_reload_random]		= 100.0
	local seq = { 4.0 }
	WEAPON_add( boo, seq )

